Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface FbDatabaseFactory

All Known Implementing Classes:
  `FbWireDatabaseFactory`

public interface FbDatabaseFactory
Factory for `FbDatabase` instances.

A `FbDatabaseFactory` knows how to create connected (but unattached) instance of `FbDatabase` for a specific protocol type (eg wire protocol, embedded or native).

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`FbDatabase`
`connect(IConnectionProperties connectionProperties)`
Connects to a Firebird server based on the supplied connection properties.
`FbService`
`serviceConnect(IServiceProperties serviceProperties)`
Connects to the service manager of a Firebird server with the supplied service properties.

## Method Details

### connect

FbDatabase connect(IConnectionProperties connectionProperties) throws SQLException
Connects to a Firebird server based on the supplied connection properties.

The `FbDatabase` instance will be connected to the server, but is not yet attached.

Parameters:
  `connectionProperties` - Connection properties
Returns:
  Database instance
Throws:
  `SQLException`

### serviceConnect

FbService serviceConnect(IServiceProperties serviceProperties) throws SQLException
Connects to the service manager of a Firebird server with the supplied service properties.

Parameters:
  `serviceProperties` - Service properties
Returns:
  Service instance
Throws:
  `SQLException`